org.jbpm.kie.services.impl.model

## Class ProcessInstanceDesc

- java.lang.Object
- - org.jbpm.kie.services.impl.model.ProcessInstanceDesc

- All Implemented Interfaces:
    Serializable, ProcessInstanceDesc
  Direct Known Subclasses:
    ProcessInstanceWithVarsDesc

      public class ProcessInstanceDesc
      extends Object
      implements ProcessInstanceDesc, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessInstanceDesc()`
    `ProcessInstanceDesc(long id, String processId, String processName, String processVersion, int state, String deploymentId, Date dataTimeStamp, String initiator, String correlationKey)`
    `ProcessInstanceDesc(long id, String processId, String processName, String processVersion, int state, String deploymentId, Date dataTimeStamp, String initiator, String processInstanceDescription, String correlationKey)`
    `ProcessInstanceDesc(long id, String processId, String processName, String processVersion, int state, String deploymentId, Date dataTimeStamp, String initiator, String processInstanceDescription, String correlationKey, Long parentId)`
    `ProcessInstanceDesc(long id, String processId, String processName, String processVersion, int state, String deploymentId, Date dataTimeStamp, String initiator, String processInstanceDescription, String correlationKey, Long parentId, Date slaDueDate, Integer slaCompliance)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<UserTaskInstanceDesc>` | `getActiveTasks()` Returns the process instance description active tasks.
    `String` | `getCorrelationKey()` Returns the process instance description correlation key.
    `Date` | `getDataTimeStamp()` Returns the process instance description timestamp.
    `String` | `getDeploymentId()` Returns the process instance description deployment id.
    `Long` | `getId()` Returns the process instance description id.
    `String` | `getInitiator()` Returns the process instance description initiator.
    `Long` | `getParentId()` Returns the process instance description parent id.
    `String` | `getProcessId()` Returns the process instance description process id.
    `String` | `getProcessInstanceDescription()` Returns the process instance description.
    `String` | `getProcessName()` Returns the process instance description process name.
    `String` | `getProcessVersion()` Returns the process instance description process version.
    `Integer` | `getSlaCompliance()` Returns the process instance description SLA compliance.
    `Date` | `getSlaDueDate()` Returns the process instance description SLA due date.
    `Integer` | `getState()` Returns the process instance description state.
    `void` | `setActiveTasks(List<UserTaskInstanceDesc> activeTasks)`
    `void` | `setCorrelationKey(String correlationKey)`
    `void` | `setDeploymentId(String deploymentId)`
    `void` | `setInitiator(String initiator)`
    `void` | `setParentId(Long parentId)`
    `void` | `setProcessInstanceDescription(String processInstanceDescription)`
    `void` | `setSlaCompliance(Integer slaCompliance)`
    `void` | `setSlaDueDate(Date slaDueDate)`
    `void` | `setState(int state)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessInstanceDesc

          public ProcessInstanceDesc()

    - #### ProcessInstanceDesc

          public ProcessInstanceDesc(long id,
                                     String processId,
                                     String processName,
                                     String processVersion,
                                     int state,
                                     String deploymentId,
                                     Date dataTimeStamp,
                                     String initiator,
                                     String processInstanceDescription,
                                     String correlationKey,
                                     Long parentId,
                                     Date slaDueDate,
                                     Integer slaCompliance)

    - #### ProcessInstanceDesc

          public ProcessInstanceDesc(long id,
                                     String processId,
                                     String processName,
                                     String processVersion,
                                     int state,
                                     String deploymentId,
                                     Date dataTimeStamp,
                                     String initiator,
                                     String processInstanceDescription,
                                     String correlationKey)

    - #### ProcessInstanceDesc

          public ProcessInstanceDesc(long id,
                                     String processId,
                                     String processName,
                                     String processVersion,
                                     int state,
                                     String deploymentId,
                                     Date dataTimeStamp,
                                     String initiator,
                                     String correlationKey)

    - #### ProcessInstanceDesc

          public ProcessInstanceDesc(long id,
                                     String processId,
                                     String processName,
                                     String processVersion,
                                     int state,
                                     String deploymentId,
                                     Date dataTimeStamp,
                                     String initiator,
                                     String processInstanceDescription,
                                     String correlationKey,
                                     Long parentId)

  - ### Method Detail

    - #### getProcessId

          public String getProcessId()

      Description copied from interface: `ProcessInstanceDesc`
      Returns the process instance description process id.
      Specified by:
        `getProcessId` in interface `ProcessInstanceDesc`
      Returns:
        process id

    - #### getId

          public Long getId()

      Description copied from interface: `ProcessInstanceDesc`
      Returns the process instance description id.
      Specified by:
        `getId` in interface `ProcessInstanceDesc`
      Returns:
        id

    - #### getProcessName

          public String getProcessName()

      Description copied from interface: `ProcessInstanceDesc`
      Returns the process instance description process name.
      Specified by:
        `getProcessName` in interface `ProcessInstanceDesc`
      Returns:
        process name

    - #### getState

          public Integer getState()

      Description copied from interface: `ProcessInstanceDesc`
      Returns the process instance description state.
      Specified by:
        `getState` in interface `ProcessInstanceDesc`
      Returns:
        state

    - #### getDeploymentId

          public String getDeploymentId()

      Description copied from interface: `ProcessInstanceDesc`
      Returns the process instance description deployment id.
      Specified by:
        `getDeploymentId` in interface `ProcessInstanceDesc`
      Returns:
        deployment ids

    - #### getDataTimeStamp

          public Date getDataTimeStamp()

      Description copied from interface: `ProcessInstanceDesc`
      Returns the process instance description timestamp.
      Specified by:
        `getDataTimeStamp` in interface `ProcessInstanceDesc`
      Returns:
        timestamp

    - #### getProcessVersion

          public String getProcessVersion()

      Description copied from interface: `ProcessInstanceDesc`
      Returns the process instance description process version.
      Specified by:
        `getProcessVersion` in interface `ProcessInstanceDesc`
      Returns:
        process version

    - #### setState

          public void setState(int state)

    - #### getInitiator

          public String getInitiator()

      Description copied from interface: `ProcessInstanceDesc`
      Returns the process instance description initiator.
      Specified by:
        `getInitiator` in interface `ProcessInstanceDesc`
      Returns:
        initiator

    - #### setInitiator

          public void setInitiator(String initiator)

    - #### setDeploymentId

          public void setDeploymentId(String deploymentId)

    - #### getProcessInstanceDescription

          public String getProcessInstanceDescription()

      Description copied from interface: `ProcessInstanceDesc`
      Returns the process instance description.
      Specified by:
        `getProcessInstanceDescription` in interface `ProcessInstanceDesc`
      Returns:
        description

    - #### setProcessInstanceDescription

          public void setProcessInstanceDescription(String processInstanceDescription)

    - #### getActiveTasks

          public List<UserTaskInstanceDesc> getActiveTasks()

      Description copied from interface: `ProcessInstanceDesc`
      Returns the process instance description active tasks.
      Specified by:
        `getActiveTasks` in interface `ProcessInstanceDesc`
      Returns:
        @`UserTaskInstanceDesc` active tasks

    - #### setActiveTasks

          public void setActiveTasks(List<UserTaskInstanceDesc> activeTasks)

    - #### getCorrelationKey

          public String getCorrelationKey()

      Description copied from interface: `ProcessInstanceDesc`
      Returns the process instance description correlation key.
      Specified by:
        `getCorrelationKey` in interface `ProcessInstanceDesc`
      Returns:
        correlation key

    - #### setCorrelationKey

          public void setCorrelationKey(String correlationKey)

    - #### getParentId

          public Long getParentId()

      Description copied from interface: `ProcessInstanceDesc`
      Returns the process instance description parent id.
      Specified by:
        `getParentId` in interface `ProcessInstanceDesc`
      Returns:
        parent id

    - #### setParentId

          public void setParentId(Long parentId)

    - #### getSlaDueDate

          public Date getSlaDueDate()

      Description copied from interface: `ProcessInstanceDesc`
      Returns the process instance description SLA due date.
      Specified by:
        `getSlaDueDate` in interface `ProcessInstanceDesc`
      Returns:
        SLA due date

    - #### setSlaDueDate

          public void setSlaDueDate(Date slaDueDate)

    - #### getSlaCompliance

          public Integer getSlaCompliance()

      Description copied from interface: `ProcessInstanceDesc`
      Returns the process instance description SLA compliance.
      Specified by:
        `getSlaCompliance` in interface `ProcessInstanceDesc`
      Returns:
        SLA compliance

    - #### setSlaCompliance

          public void setSlaCompliance(Integer slaCompliance)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.